summaryrefslogtreecommitdiff
path: root/init.d/40git-ignore
diff options
context:
space:
mode:
authorJoey Hess <joey@kodama.kitenet.net>2007-11-05 16:00:32 -0500
committerJoey Hess <joey@kodama.kitenet.net>2007-11-05 16:00:32 -0500
commit34320131ce680fe03febc9f4d6b438f05e548cbc (patch)
tree41c91d7ad68331e1fa2525c43d43e6c04899b09b /init.d/40git-ignore
parent3e6cf464cff47d22f4ac4b4313fda68f32ae1ea8 (diff)
rename etc-* to etckeeper-*
Diffstat (limited to 'init.d/40git-ignore')
-rwxr-xr-xinit.d/40git-ignore15
1 files changed, 15 insertions, 0 deletions
diff --git a/init.d/40git-ignore b/init.d/40git-ignore
new file mode 100755
index 0000000..846c32d
--- /dev/null
+++ b/init.d/40git-ignore
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -e
+if [ ! -e .gitignore ]; then
+ cat <<EOF >.gitignore
+*~
+
+# new and old versions of conffiles, stored by dpkg
+*.dpkg-new
+*.dpkg-old
+
+# mount(8) records system state here, no need to keep these in git
+blkid.tab(|.old)
+mtab
+EOF
+fi